goocanvasmm: Goocanvas::ItemModelSimple Class Reference

goocanvasmm 1.90.5

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::ItemModelSimple Class Reference
Inheritance diagram for Goocanvas::ItemModelSimple:
[legend]

List of all members.

## Public Member Functions
virtual | ~ItemModelSimple ()
GooCanvasItemModelSimple* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasItemModelSimple* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasItemModelSimple* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Cairo::Antialias > | property_antialias ()
| The antialiasing mode to use.
Glib::PropertyProxy_ReadOnly < Cairo::Antialias > | property_antialias () const
| The antialiasing mode to use.
Glib::PropertyProxy < Cairo::FillRule > | property_clip_fill_rule ()
| The fill rule used to determine which parts of the item are clipped.
Glib::PropertyProxy_ReadOnly < Cairo::FillRule > | property_clip_fill_rule () const
| The fill rule used to determine which parts of the item are clipped.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_clip_path ()
| The sequence of path commands specifying the clip path.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_fill_color ()
| The color to use to paint the interior of the item.
Glib::PropertyProxy< guint > | property_fill_color_rgba ()
| The color to use to paint the interior of the item, specified as a 32-bit integer value.
Glib::PropertyProxy_ReadOnly < guint > | property_fill_color_rgba () const
| The color to use to paint the interior of the item, specified as a 32-bit integer value.
Glib::PropertyProxy < Cairo::RefPtr < Cairo::Pattern > > | property_fill_pattern ()
| The pattern to use to paint the interior of the item, or NULL to disable painting.
Glib::PropertyProxy_ReadOnly < Cairo::RefPtr < Cairo::Pattern > > | property_fill_pattern () const
| The pattern to use to paint the interior of the item, or NULL to disable painting.
Glib::PropertyProxy_WriteOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_fill_pixbuf ()
| The pixbuf to use to paint the interior of the item.
Glib::PropertyProxy < Glib::ustring > | property_font ()
| The base font to use for the text.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_font () const
| The base font to use for the text.
Glib::PropertyProxy < Pango::FontDescription > | property_font_desc ()
| The attributes specifying which font to use.
Glib::PropertyProxy_ReadOnly < Pango::FontDescription > | property_font_desc () const
| The attributes specifying which font to use.
Glib::PropertyProxy < Cairo::HintMetrics > | property_hint_metrics ()
| The hinting to be used for font metrics.
Glib::PropertyProxy_ReadOnly < Cairo::HintMetrics > | property_hint_metrics () const
| The hinting to be used for font metrics.
Glib::PropertyProxy < Cairo::LineCap > | property_line_cap ()
| The line cap style to use.
Glib::PropertyProxy_ReadOnly < Cairo::LineCap > | property_line_cap () const
| The line cap style to use.
Glib::PropertyProxy< LineDash > | property_line_dash ()
| The dash pattern to use.
Glib::PropertyProxy_ReadOnly < LineDash > | property_line_dash () const
| The dash pattern to use.
Glib::PropertyProxy < Cairo::LineJoin > | property_line_join ()
| The line join style to use.
Glib::PropertyProxy_ReadOnly < Cairo::LineJoin > | property_line_join () const
| The line join style to use.
Glib::PropertyProxy< double > | property_line_join_miter_limit ()
| The smallest angle to use with miter joins, in degrees.
Glib::PropertyProxy_ReadOnly < double > | property_line_join_miter_limit () const
| The smallest angle to use with miter joins, in degrees.
Glib::PropertyProxy< double > | property_line_width ()
| The line width to use for the item's perimeter.
Glib::PropertyProxy_ReadOnly < double > | property_line_width () const
| The line width to use for the item's perimeter.
Glib::PropertyProxy < Cairo::Operator > | property_operator ()
| The compositing operator to use.
Glib::PropertyProxy_ReadOnly < Cairo::Operator > | property_operator () const
| The compositing operator to use.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_stroke_color ()
| The color to use for the item's perimeter.
Glib::PropertyProxy< guint > | property_stroke_color_rgba ()
| The color to use for the item's perimeter, specified as a 32-bit integer value.
Glib::PropertyProxy_ReadOnly < guint > | property_stroke_color_rgba () const
| The color to use for the item's perimeter, specified as a 32-bit integer value.
Glib::PropertyProxy < Cairo::RefPtr < Cairo::Pattern > > | property_stroke_pattern ()
| The pattern to use to paint the perimeter of the item, or NULL disable painting.
Glib::PropertyProxy_ReadOnly < Cairo::RefPtr < Cairo::Pattern > > | property_stroke_pattern () const
| The pattern to use to paint the perimeter of the item, or NULL disable painting.
Glib::PropertyProxy_WriteOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_stroke_pixbuf ()
| The pixbuf to use to draw the item's perimeter.
## Protected Member Functions
| ItemModelSimple ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Goocanvas::ItemModelSimple > | wrap (GooCanvasItemModelSimple* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::ItemModelSimple::~ItemModelSimple | ( |  | ) | `[virtual]`

Goocanvas::ItemModelSimple::ItemModelSimple | ( |  | ) | `[protected]`

## Member Function Documentation

GooCanvasItemModelSimple* Goocanvas::ItemModelSimple::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModel.

Reimplemented in Goocanvas::EllipseModel, Goocanvas::GridModel, Goocanvas::GroupModel, Goocanvas::ImageModel, Goocanvas::PolylineModel, Goocanvas::PathModel, Goocanvas::RectModel, Goocanvas::TableModel, and Goocanvas::TextModel.

const GooCanvasItemModelSimple* Goocanvas::ItemModelSimple::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModel.

Reimplemented in Goocanvas::EllipseModel, Goocanvas::GridModel, Goocanvas::GroupModel, Goocanvas::ImageModel, Goocanvas::PolylineModel, Goocanvas::PathModel, Goocanvas::RectModel, Goocanvas::TableModel, and Goocanvas::TextModel.

GooCanvasItemModelSimple* Goocanvas::ItemModelSimple::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented in Goocanvas::EllipseModel, Goocanvas::GridModel, Goocanvas::GroupModel, Goocanvas::ImageModel, Goocanvas::PolylineModel, Goocanvas::PathModel, Goocanvas::RectModel, Goocanvas::TableModel, and Goocanvas::TextModel.

Glib::PropertyProxy<Cairo::Antialias> Goocanvas::ItemModelSimple::property_antialias | ( |  | ) |

The antialiasing mode to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::Antialias> Goocanvas::ItemModelSimple::property_antialias | ( |  | ) | const

The antialiasing mode to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Cairo::FillRule> Goocanvas::ItemModelSimple::property_clip_fill_rule | ( |  | ) |

The fill rule used to determine which parts of the item are clipped.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::FillRule> Goocanvas::ItemModelSimple::property_clip_fill_rule | ( |  | ) | const

The fill rule used to determine which parts of the item are clipped.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Goocanvas::ItemModelSimple::property_clip_path | ( |  | ) |

The sequence of path commands specifying the clip path.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Goocanvas::ItemModelSimple::property_fill_color | ( |  | ) |

The color to use to paint the interior of the item.

To disable painting set the 'fill-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Goocanvas::ItemModelSimple::property_fill_color_rgba | ( |  | ) |

The color to use to paint the interior of the item, specified as a 32-bit integer value.

To disable painting set the 'fill-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Goocanvas::ItemModelSimple::property_fill_color_rgba | ( |  | ) | const

The color to use to paint the interior of the item, specified as a 32-bit integer value.

To disable painting set the 'fill-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::ItemModelSimple::property_fill_pattern | ( |  | ) |

The pattern to use to paint the interior of the item, or NULL to disable painting.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::ItemModelSimple::property_fill_pattern | ( |  | ) | const

The pattern to use to paint the interior of the item, or NULL to disable painting.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::ItemModelSimple::property_fill_pixbuf | ( |  | ) |

The pixbuf to use to paint the interior of the item.

To disable painting set the 'fill-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Goocanvas::ItemModelSimple::property_font | ( |  | ) | const

The base font to use for the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented in Goocanvas::TextModel.

Glib::PropertyProxy<Glib::ustring> Goocanvas::ItemModelSimple::property_font | ( |  | ) |

The base font to use for the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented in Goocanvas::TextModel.

Glib::PropertyProxy<Pango::FontDescription> Goocanvas::ItemModelSimple::property_font_desc | ( |  | ) |

The attributes specifying which font to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented in Goocanvas::TextModel.

Glib::PropertyProxy_ReadOnly<Pango::FontDescription> Goocanvas::ItemModelSimple::property_font_desc | ( |  | ) | const

The attributes specifying which font to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented in Goocanvas::TextModel.

Glib::PropertyProxy<Cairo::HintMetrics> Goocanvas::ItemModelSimple::property_hint_metrics | ( |  | ) |

The hinting to be used for font metrics.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::HintMetrics> Goocanvas::ItemModelSimple::property_hint_metrics | ( |  | ) | const

The hinting to be used for font metrics.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Cairo::LineCap> Goocanvas::ItemModelSimple::property_line_cap | ( |  | ) |

The line cap style to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::LineCap> Goocanvas::ItemModelSimple::property_line_cap | ( |  | ) | const

The line cap style to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<LineDash> Goocanvas::ItemModelSimple::property_line_dash | ( |  | ) |

The dash pattern to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<LineDash> Goocanvas::ItemModelSimple::property_line_dash | ( |  | ) | const

The dash pattern to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Cairo::LineJoin> Goocanvas::ItemModelSimple::property_line_join | ( |  | ) |

The line join style to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::LineJoin> Goocanvas::ItemModelSimple::property_line_join | ( |  | ) | const

The line join style to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::ItemModelSimple::property_line_join_miter_limit | ( |  | ) |

The smallest angle to use with miter joins, in degrees.

Bevel joins will be used below this limit.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::ItemModelSimple::property_line_join_miter_limit | ( |  | ) | const

The smallest angle to use with miter joins, in degrees.

Bevel joins will be used below this limit.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::ItemModelSimple::property_line_width | ( |  | ) |

The line width to use for the item's perimeter.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::ItemModelSimple::property_line_width | ( |  | ) | const

The line width to use for the item's perimeter.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Cairo::Operator> Goocanvas::ItemModelSimple::property_operator | ( |  | ) | const

The compositing operator to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Cairo::Operator> Goocanvas::ItemModelSimple::property_operator | ( |  | ) |

The compositing operator to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Goocanvas::ItemModelSimple::property_stroke_color | ( |  | ) |

The color to use for the item's perimeter.

To disable painting set the 'stroke-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Goocanvas::ItemModelSimple::property_stroke_color_rgba | ( |  | ) | const

The color to use for the item's perimeter, specified as a 32-bit integer value.

To disable painting set the 'stroke-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Goocanvas::ItemModelSimple::property_stroke_color_rgba | ( |  | ) |

The color to use for the item's perimeter, specified as a 32-bit integer value.

To disable painting set the 'stroke-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::ItemModelSimple::property_stroke_pattern | ( |  | ) |

The pattern to use to paint the perimeter of the item, or NULL disable painting.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::ItemModelSimple::property_stroke_pattern | ( |  | ) | const

The pattern to use to paint the perimeter of the item, or NULL disable painting.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::ItemModelSimple::property_stroke_pixbuf | ( |  | ) |

The pixbuf to use to draw the item's perimeter.

To disable painting set the 'stroke-pattern' property to NULL.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::ItemModelSimple > wrap | ( | GooCanvasItemModelSimple * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/itemmodelsimple.h